/*
 * JPA entity PK template
 */

package de.ivu.elect.business.customdata.entity;

@javax.enterprise.inject.Vetoed
public class CustomDataStoragePK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<CustomDataStoragePK> {

  private static final long serialVersionUID = 0L;

  public CustomDataStoragePK() {
    super();
  }

  public CustomDataStoragePK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "CustomDataStoragePK:"+getId();
  }

  @Override
  public int compareTo(CustomDataStoragePK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
